/*
 * Copyright (c) 2018 Samsung Electronics Co., Ltd. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

#ifndef __TIZEN_CAPI_NETWORK_USER_AWARENESS_LOG_H__
#define __TIZEN_CAPI_NETWORK_USER_AWARENESS_LOG_H__

#include <dlog.h>

#ifdef __cplusplus
extern "C" {
#endif

#ifdef LOG_TAG
#undef LOG_TAG
#endif
#define LOG_TAG "UA_CAPI"

#define UA_DBG(fmt, args...) LOGD(fmt, ##args)
#define UA_INFO(fmt, args...) LOGI(fmt, ##args)
#define UA_WARN(fmt, args...) LOGW(fmt, ##args)
#define UA_ERR(fmt, args...) LOGE(fmt, ##args)

#define FUNC_ENTRY UA_DBG("+")
#define FUNC_EXIT UA_DBG("-")

#ifdef __cplusplus
}
#endif
#endif /* __TIZEN_CAPI_NETWORK_USER_AWARENESS_LOG_H__ */
